All features by client
======================

Legend:

  - ✓ : available
  - E : experimental
  - X : not yet available
  - N/A : not applicable for this client
  - Desktop : Apple macOS, GNU/Linux, Microsoft Windows operating systems
## Text messaging

| **Client**                         | Desktop | Android | Android TV | iOS |
| ---------------------------------- | :-----: | :-----: | :--------: | :-: |
| Text messaging                     |    ✓    |    ✓    |     ✓      |  ✓  |
| Group chat                         |    ✓    |    E    |     X      |  E  |
| Chat history shared across devices |    ✓    |    ✓    |     ✓      |  ✓  |
| Send files                         |    ✓    |    ✓    |     X      |  ✓  |
| Auto accept images                 |    ✓    |    ✓    |     X      |  ✓  |
| Custom download location           |    ✓    |    X    |     X      |  X  |
| Typing indicator                   |    ✓    |    ✓    |     X      |  ✓  |
| Read status                        |    ✓    |    ✓    |     ✓      |  ✓  |
| Reply to                           |    ✓    |    ✓    |     X      |  X  |
| Message edition                    |    ✓    |    X    |     X      |  X  |
| Emoji reaction                     |    X    |    X    |     X      |  X  |
| Update conversation's profile      |    ✓    |    X    |     X      |  X  |
| Add/Kick members                   |    ✓    |    X    |     X      |  X  |
| Conversation's preferences         |    ✓    |    X    |     X      |  X  |
| Search messages                    |    X    |    ✓    |     X      |  X  |
| Share location                     |    X    |    ✓    |     X      |  ✓  |
| Media gallery                      |    ✓    |    ✓    |     X      |  X  |

## Calling

| **Client**                         | Desktop | Android | Android TV | iOS  |
| ---------------------------------- | :-----: | :-----: | :--------: | :--: |
| Audio calling                      |    ✓    |    ✓    |     X      |  ✓   |
| Video calling                      |    ✓    |    ✓    |     ✓      |  ✓   |
| Host call conference               |    ✓    |    ✓    |     ✓      |  ✓   |
| Auto bitrate                       |    ✓    |    X    |     X      |  ✓   |
| Change video quality               |    ✓    |    ✓    |     X      |  X   |
| Custom ringtones                   |    ✓    |    ✓    |     X      |  X   |
| Select camera                      |    ✓    |    ✓    |     X      |  ✓   |
| Video call recording               |    ✓    |    X    |     X      |  X   |
| Leave audio message                |    ✓    |    ✓    |     X      |  ✓   |
| Leave video message                |    ✓    |    ✓    |     X      |  ✓   |
| Screen sharing                     |   ✓(1)  |    ✓    |     X      |  X   |
| Window sharing                     |   ✓(3)  |    X    |     X      |  X   |
| Media sharing                      |    ✓    |    X    |     X      |  X   |
| Hardware encoding *                |    ✓    |    ✓    |     ✓      |  ✓   |
| Hardware decoding *                |    ✓    |    ✓    |     ✓      |  ✓   |
| Mute sound                         |    ✓    |    ✓    |     X      |  ✓   |
| Texting while on call              |    ✓    |    ✓    |     X      |  ✓   |
| Remote recording notification      |    ✓    |    X    |     X      |  X   |
| Rendez-vous mode                   |    ✓    |    X    |     ✓      |  X   |
| Conference layout                  |    ✓    |    ✓    |     X      |  ✓   |
| Multistream                        |    ✓    |    X    |     X      |  X   |
| Videosplit                         |    ✓    |    ✓    |     ✓      |  X   |
| Audio processor \*\*               |    ✓    |   ✓(2) |     ✓(2)    | ✓(2) |
| Voice activity                     |    ✓    |    ✓   |      ✓      |  ✓   |


\* This enables 4k video calling support
\*\* cf. {ref}`user/faq:How can I configure the audio processor?` in
the FAQ

(1) only on X (not Wayland)
(2) Some features enabled by default and not configurable
(3) only on X and not on Microsoft Windows

## Account settings

| **Client**                  | Desktop | Android | Android TV | iOS |
| --------------------------- | :-----: | :-----: | :--------: | :-: |
| Profile picture             |    ✓    |    ✓    |     ✓      |  ✓  |
| Disable account             |    ✓    |    ✓    |     X      |  ✓  |
| Delete account              |    ✓    |    ✓    |     X      |  ✓  |
| Contact availability        |    ✓    |    ✓    |     ✓      |  ✓  |
| Register username           |    ✓    |    ✓    |     ✓      |  ✓  |
| Delete contacts             |    ✓    |    ✓    |     ✓      |  ✓  |
| Block contacts              |    ✓    |    ✓    |     X      |  ✓  |
| Link new device via DHT     |    ✓    |    ✓    |     ✓      |  ✓  |
| Link new device via archive |    ✓    |    X    |     X      |  X  |
| Auto answer                 |    ✓    |    ✓    |     ✓      |  X  |
| Custom ringtones            |    ✓    |    ✓    |     X      |  X  |

## Other features

| **Client**                     | Desktop | Android | Android TV | iOS |
| ------------------------------ | :-----: | :-----: | :--------: | :-: |
| Scan QR code                   |    X    |    ✓    |     X      |  ✓  |
| Display QR code                |    ✓    |    ✓    |     ✓      |  ✓  |
| Block contact                  |    ✓    |    ✓    |     X      |  ✓  |
| System notifications           |    ✓    |    ✓    |     ✓      |  ✓  |
| Supported languages *          |   98    |   98    |    98      | 98  |
| Contacts shared across devices |    ✓    |    ✓    |     ✓      |  ✓  |
| Multi account                  |    ✓    |    ✓    |     X      |  ✓  |
| SIP account                    |    ✓    |    ✓    |     X      |  ✓  |
| SIP transferring               |    X    |    X    |     X      |  X  |
| Dark theme support             |    ✓    |    ✓    |     ✓      |  X  |
| JAMS\*\* support               |    ✓    |    ✓    |     X      |  ✓  |
| Plugin support                 |    ✓    |    ✓    |     ✓      |  X  |
| Application translation        |    ✓    |    X    |     X      |  X  |

\* According to <https://explore.transifex.com/savoirfairelinux/jami/>
\*\* JAMS (Jami Account Management Server) <https://jami.biz/>

## Advanced settings

| **Client**         | Desktop | Android | Android TV | iOS |
| ------------------ | :-----: | :-----: | :--------: | :-: |
| DHT proxy support  |    ✓    |    ✓    |     X      |  ✓  |
| Push notification  |   N/A   |    ✓    |    N/A     |  ✓  |
| UPnP               |    ✓    |    ✓    |     ✓      |  X  |
| TURN configuration |    ✓    |    ✓    |     ✓      |  X  |
